Process settlement
curl --request POST \
--url https://api.plexospay.com/v1/settlements/process \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.plexospay.com/v1/settlements/process"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.plexospay.com/v1/settlements/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "se_abc123",
"merchantId": "<string>",
"amount": "<string>",
"feeTotal": "<string>",
"netAmount": "<string>",
"amountFormatted": "<string>",
"netAmountFormatted": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"payoutRef": "<string>",
"itemCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"processedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}Settlements
Process Settlement
Manually trigger settlement processing.
POST
/
v1
/
settlements
/
process
Process settlement
Returns
204 No Content if there are no payments to settle.Authorizations
API key starting with sk_live_ or sk_test_
Body
application/json
ISO currency code
Available options:
CVE, AOA Response
Settlement processed
Example:
"se_abc123"
ISO currency code
Available options:
CVE, AOA Available options:
PENDING, PROCESSING, COMPLETED, FAILED ⌘I